
TYPO3.Flow - Feature # 34900

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Security
Created: 2012-03-15 Assigned To: Andreas Förthner
Updated: 2012-05-09 Due date:
PHP Version: 5.3
Has patch: No
Complexity: easy
Subject: New role: ANONYMOUS
Description

Introduce a magic role which matches only if no account is currently authenticated.

Associated revisions
Revision b70090b7 - 2012-05-08 15:01 - Andreas Förthner

[FEATURE] Introduce the magic role "Anonymous"

This introduces a second magic role (besides the
role "Everybody") which is active as long as nobody
is authenticated. This allows for designing policies
in a way that anonymous users still have access to
certain resources.

Also fixes a small bug in the PolicyService which
previously did not return the Everybody or Anonymous
role on getRoles().

Change-Id: I1d5ff3bbf681ca73f3be69283491d8fd91900349
Resolves: #34900
Releases: 1.1

History
#1 - 2012-03-15 20:47 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9680

#2 - 2012-05-08 12:13 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9680

#3 - 2012-05-08 14:55 - Gerrit Code Review
Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9680

#4 - 2012-05-08 15:01 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/9680

#5 - 2012-05-09 02:39 - Andreas Förthner
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b70090b742a764381053e9bd170d3197b39d5de0.
